<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">
<style type="text/css">
    .ui-paginator a {
        margin-right: 5px;
    }
</style>
 
        <h:form id="jsfexample"> 
        <h:outputText 
            value="Reporte -> Catálogo -> Marcas" 
            style="font-weight: bold"/> 
        <p:dataTable value="#{dataExporterView.marca}" var="item" id="mydata"
                paginator="true"
                rows="10"
                style="display:inline;float:left;width:98%;"
                emptyMessage="No se encontraron Registros"
                paginatorPosition="bottom">
            <p:column>
                <f:facet name="header">ID</f:facet>
                <h:outputText value="#{item.id}" />
            </p:column>
            <p:column>
                <f:facet name="header">NOMBRE</f:facet>
                <h:outputText value="#{item.nombre}" />
            </p:column>
            <p:column>
                <f:facet name="header">ESTATUS </f:facet>
                <h:outputText value="#{item.activos}" />
            </p:column>
        </p:dataTable>
        <br/>
        <p:panel header="Exportar Datos">
            <h:commandLink> 
                <p:graphicImage value="../../../resources/images/excel.png" />
                <p:dataExporter type="xls" postProcessor="#{manager.postProcessXLS}"
                    target="mydata" fileName="myexcel" />
            </h:commandLink>
            <h:commandLink>
                <p:graphicImage value="../../../resources/images/pdf.png" />
                <p:dataExporter type="pdf" target="mydata" fileName="mypdf" />
            </h:commandLink>
        </p:panel>
 
    </h:form>
    </ui:define>  
</ui:composition>   
